#! /usr/local/bin/perl
# 
# /*   $Id: bcnu.cgi,v 1.4 1999/05/07 16:06:38 jap Exp jap $
#
# *    Copyright (c) 1998 John Phillips
# *
# *    You may distribute under the terms of the Artistic License
# *
# */
#
require "bcnu.inc";
require "bcnulib.pl";

#
# main
#

&methodparse;
$ighost=$in{"ignore"};
$noticehost=$in{"notice"};
$summary=$in{"detail"};
$view=$in{"view"};

$navigate=&navigate();
$showkey=&showkey();

# walk thru the hosts directory and get a list of agents for each host
#

$errlevel=0;
$sound=1;

if ($view) {
	&viewhosts($view);
        }
else
        {
        $numhosts=&gethosts();
        }

foreach $host (sort @hosts) {
	if ($in{"detail"})	{
		&mainhost($host);
		}
	else	{
		&sumhost($host);
		}
}

#
# produce default home page
#

print &printhdr;
if ($in{"status"}) {
	print &header("Status only",$errlevel,5);
	if ($errlevel) {
		print "<TR><TH COLSPAN=$PERLINE ALIGN=CENTER $BGCELL>$numhosts Systems Monitored</TR>\n";
		foreach $entry (sort keys %cell) {
			if ($perline==0) {
				print "<TR $BASEROW>\n";
				$perline=$PERLINE;
			}
			if ($hoststat{$entry} > 0) {
			$perline--;
        		print $cell{$entry} if $hoststat{$entry} > 0;
				}
	        	}
		}
	}
elsif ($in{"detail"})	{
	print &header("All Systems - Detail",$errlevel,5);
	print &agent_head();
	foreach $entry (sort keys %line) {
        	print $line{$entry};
	        }
}
else	{


	print &header("All Systems - Summary",$errlevel,5);
	print "<TR><TH colspan=$PERLINE ALIGN=CENTER $BGCELL>$numhosts Systems Monitored</TH></TR>\n";
	foreach $entry (sort keys %cell) {
		if ($perline==0) {
			print "<TR $BASEROW>\n";
			$perline=$PERLINE;
		}
		$perline--;
        	print $cell{$entry};
	        }
}
print &footer();

exit;
